[Overview][Constants][Types][Procedures and functions][Index] | Reference for unit 'BaseUnix' (#rtl)

# FpSigSuspend

Set signal mask and suspend process till signal is received

## Declaration

Source position: bunxh.inc line 26

`function FpSigSuspend(`
`const sigmask: tsigset`
`):cint;`

## Description

fpSigSuspend temporarily replaces the signal mask for the process with the one given in SigMask, and then suspends the process until a signal is received.

## Errors

None

## See also

fpSigAction |  | Install signal handler
fpSigProcMask |  | Set list of blocked signals
fpSigPending |  | Return set of currently pending signals
fpSignal |  | Install signal handler (deprecated)
fpKill |  | Send a signal to a process